Subject: Re: bug#4363: 23.1.50; fullscreen (-mode) almost fullscreen

From: Jan Djärv <[email-masked]>
Date: Mon, 07 Sep 2009 07:08:46 +0200

Ulrich Neumerkel skrev:
> --text follows this line--
> 
> Please write in English if possible, because the Emacs maintainers
> usually do not have translators to read other languages for them.
> 
> Your bug report will be posted to the [email-masked] mailing list.
> 
> Please describe exactly what actions triggered the bug
> and the precise symptoms of the bug:
> 
> With
> 
> (set-frame-parameter () 'fullscreen 'maximized)
> (set-frame-parameter () 'fullscreen nil)
> 
> allow to nicely enable/disable what might become a fullscreen-mode.
> 
> There are still some details missing for a perfect fullscreen mode:
> 
> Windowmanagers still put a titlebar on the fullscreen window.  This can
> be avoided by setting the Motif nodecoration hint.  This works in Gnome,
> KDE, and many windowmanagers.

(set-frame-parameter () 'fullscreen 'fullboth)

Note that fullscreen is all done by the window manager.  Emacs tells the 
window manager to put the window in fullscreen and the window manager does all 
the rest.

> 
> Using --without-toolkit-scroll-bars with the scrollbar on the left, the
> window should be shifted a couple of pixels to the left.  This helps to
> avoid the unclickable and irritating no man's land between the left
> screen border and the clickable scrollbar.  Otherwise using the
> scrollbar is more difficult as mouse movements must be very precise
> horizontally - vertical precision would suffice.  What I do here is
> either to use a negative geometry to avoid that space or I manually
> reposition that window.
> 
> Since many windowmanagers do make difficulties here it might be simpler
> to perform that shifting within the emacs frame.

This all depends on your screen resolution and on the font used.  Please 
provide screen shots.  Note that we do not reposition the window, the window 
manager does that.

> 
> Within Gnome, switching with Alt-TAB between windows causes irritating
> flicker with an Emacs fullscreen present.
> 

Irritating flicker in Emacs or the other windows?  If the other windows, there 
is nothing we can do.

	Jan D.